#ifndef TABDUMP_EVENT_H
#define TABDUMP_EVENT_H

#include "event/tabDump/TabDumpRecord.h"
#include <TClonesArray.h>

using namespace std;

namespace pamela {
  /**
   * TabDumpEvent data Wrapper
   */
  class TabDumpEvent: public pamela::SubPacket {
  private:
    static TClonesArray *fgRecords;
  public:
    /**
     * Get the run name according to a certain run number.
     * @param run Run number.
     * @return a string with the run name.
     */
    TClonesArray*   Records;
    UINT32          PARAMETER_STAMP;

    TabDumpEvent(void);
    ~TabDumpEvent(void);
    
    ClassDef(TabDumpEvent, 1)
  };
}

#endif /* TABDUMP_EVENT_H */

